.modal-backdrop.show {
  opacity: 0.9;
}

.modal-content {
  border: none;
  background-color: transparent;
  color: white;
}

.story-modal {
  &-thumbnail {
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    object-fit: cover;
  }

  &-indicators {
    display: flex;
    margin-top: 2rem;
  }

  &-indicator {
    position: relative;
    background-color: rgba(255, 255, 255, 0.35);
    width: 100%;
    height: 0.15rem;
    margin-right: 0.3rem;

    &.active::after {
      position: absolute;
      content: '';
      left: 0;
      top: 0;
      height: 100%;
      background-color: white;
      animation: indicator 3s linear infinite;
    }
  }

  .carousel {
    height: 80vh;
    margin-top: 1.5rem;
    outline: none;
    background-color: rgba(0, 0, 0, 0.8);

    &-inner,
    &-item {
      height: 100%;
    }

    &-control-next,
    &-control-prev {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      width: 5rem;
      height: 3rem;
      opacity: 1;
      cursor: pointer;
    }

    &-control-prev {
      left: -5rem;
    }

    &-control-next {
      right: -5rem;
    }

    img,
    video {
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
}
